%define	daterel	2016.05
Name:		u-boot
Version:	20160426
Release:	%mkrel 3
Summary:	U-Boot Universal Boot Loader
Group:		System/Kernel and hardware
Url:		http://www.denx.de/wiki/U-Boot
Source0:	ftp://ftp.denx.de/pub/%{name}/%{name}-%{daterel}-rc3.tar.bz2
License:	GPLv2
BuildRequires:	openssl-devel

%define build_boards 0

%ifarch armv5tl armv7hl
%define build_boards 1
%define boards rpi rpi_2 rpi_3_32b
%endif

%description
Das U-Boot (or just "U-Boot" for short)
is an Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.

%package tools
Summary:	Tools for the U-Boot Boot Loader
Group:		Development/Other

%description tools
Das U-Boot (or just "U-Boot" for short)
is an Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains:
mkimage a tool that creates kernel bootable images for u-boot.

%package doc
Summary:	Documentation for the U-Boot Boot Loader
Group:		Development/Other

%description doc
Das U-Boot (or just "U-Boot" for short) is an Open Source Firmware
for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains documentation for u-boot firmware

%prep
%setup -q -n %{name}-%{daterel}-rc3

%build
%if %{build_boards}
for board in %{boards}; do
    %make_build O=builds/$board ${board}_defconfig
    %make_build O=builds/$board
done
%endif

make defconfig
%make_build tools

%install
%if %{build_boards}
for board in %{boards}; do
    install -D -m 0755 builds/$board/u-boot.bin %{buildroot}/usr/lib/%{name}/$board/u-boot.bin
done
%endif

install -D -m 0755 tools/mkimage %{buildroot}%{_bindir}/mkimage
install -D -m 0644 doc/mkimage.1 %{buildroot}%{_mandir}/man1/mkimage.1
gzip %{buildroot}%{_mandir}/man1/*

%if %{build_boards}
%files
%dir /usr/lib/%{name}
%dir /usr/lib/%{name}/*
/usr/lib/%{name}/*/u-boot.bin
%endif

%files tools
%{_bindir}/mkimage
%{_mandir}/man1/mkimage.1.*
%doc README

%files doc
%doc doc/README.autoboot doc/README.commands doc/README.console doc/README.dns
%doc doc/README.hwconfig doc/README.nand doc/README.NetConsole doc/README.serial_multi
%doc doc/README.SNTP doc/README.standalone doc/README.update doc/README.usb
%doc doc/README.video doc/README.VLAN doc/README.silent
%doc doc/README.commands


%changelog
* Fri May 13 2016 neoclust <neoclust> 20160426-3.mga6
+ Revision: 1014732
- Add rpi on the list of the supported boards
- Add Rpi3_32 on the list of the supported boards
- New version 2016.5 rc3

* Fri May 13 2016 blino <blino> 20160314-2.mga6
+ Revision: 1014475
- build u-boot.bin for Raspberry Pi 2

* Fri May 13 2016 blino <blino> 20160314-1.mga6
+ Revision: 1014444
- update doc files list
- buildrequire openssl-devel for signature feature in tools
- make defconfig before building tools
- rename u-boot-tools source package as u-boot to match upstream name

  + neoclust <neoclust>
    - New version 2016.03

* Wed Feb 17 2016 umeabot <umeabot> 20130723-6.mga6
+ Revision: 963144
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 20130723-5.mga6
+ Revision: 894639
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 20130723-4.mga5
+ Revision: 743543
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20130723-3.mga5
+ Revision: 690005
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20130723-2.mga4
+ Revision: 531046
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 tmb <tmb> 20130723-1.mga4
+ Revision: 461650
- update to 2013.07

* Mon Jan 14 2013 umeabot <umeabot> 20120421-2.mga3
+ Revision: 384937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 fedya <fedya> 20120421-1.mga3
+ Revision: 283641
- is an  open source Firmware
- %%mkrel 1 added
- imported package u-boot-tools

